{script name="Core.Strings"}{/script}
{script name="jqueryui"}{/script}
{script name="jqueryui.nestedSortable"}{/script}
{script src="js/navigation/manager.js"}{/script}
{css src="assets/css/navigation.css"}{/css}

{$form->render('head')}

{$form->render('body')}

<fieldset>
	<legend> Entries</legend>

	<!-- Create new entry heading -->
	<ol class="sortable-listing navigation-edit-entries" id="entry-listings"></ol>


	<hr/>

	<p>
		Add New...
	</p>

	<div class="button-group">
		<a class="button add-entry-int-btn" href="#" title="Add Internal Link"><i class="icon icon-crosshairs"></i> Internal Link</a>
		<a class="button add-entry-ext-btn" href="#" title="Add External Link"><i class="icon icon-cloud"></i> External Link</a>
		<a class="button add-entry-none-btn" href="#" title="Add Text Label"><i class="icon icon-hashtag"></i> Text Label</a>
	</div>

</fieldset>

<input type="submit" value="{$action}"/>

{$form->render('foot')}

{if isset($entries)}
<script type="text/javascript">
	$(function () {
		{foreach from=$entries item='e'}
			NavigationManager.addEntry({
				id:     "{$e->get('id')}",
				type:   "{$e->get('type')}",
				url:    "{$e->get('baseurl')}",
				target: "{$e->get('target')}",
				title:  "{$e->get('title')}",
				parent: "{$e->get('parentid')}",
				status: 'existing'
			});
		{/foreach}
	});
</script>
{/if}

<script type="text/template" id="navigation-entry-template">
	<li class="entry type-[%%type%%] target-[%%target%%]" id="entry-[%%id%%]" data-id="[%%id%%]">
		<i class="icon icon-cloud hint-type-ext" title="External Link"></i>
		<i class="icon icon-crosshairs hint-type-int" title="Internal Page"></i>
		<i class="icon icon-hashtag hint-type-none" title="Text Label"></i>
		<i class="icon icon-external-link hint-target-blank" title="Opens in New Window"></i>
		<input type="hidden" class="entry-type" name="entries[[%%id%%]][type]" value="[%%type%%]"/>
		<input type="hidden" class="entry-url" name="entries[[%%id%%]][url]" value="[%%url%%]"/>
		<input type="hidden" class="entry-target" name="entries[[%%id%%]][target]" value="[%%target%%]"/>
		<input type="text" class="entry-title" name="entries[[%%id%%]][title]" value="[%%title%%]"/>
		<input type="hidden" class="entry-parent" name="entries[[%%id%%]][parent]" value="[%%parent%%]"/>
		<input type="hidden" class="entry-status" name="entries[[%%id%%]][status]" value="[%%status%%]"/>
		<div class="button-group">
			<a href="#" class="button drag-entry-link">
				<i class="icon icon-arrows"></i>
				<span>Move</span>
			</a>
			<a href="#" class="button edit-entry-link">
				<i class="icon icon-edit"></i>
				<span>Edit</span>
			</a>
			<a href="#" class="button delete-entry-link">
				<i class="icon icon-times"></i>
				<span>Remove</span>
			</a>
		</div>
	</li>
</script>


<div class="add-entry-options add-entry-options-int" style="display:none;">
	<input type="hidden" name="id"/>
	<input type="hidden" name="type" value="int"/>

	<div class="formelement">
		<label>Page</label>
		<select name="url">
		{foreach from=$pages item='title' key='baseurl'}
			<option value="{$baseurl}">
				{$title}
			</option>
		{/foreach}
		</select>
	</div>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<label>Opens in</label>
		<select name="target">
			<option value="">Current Window</option>
			<option value="_BLANK">New Window</option>
		</select>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>

<div class="add-entry-options add-entry-options-ext" style="display:none;">
	<input type="hidden" name="id"/>
	<input type="hidden" name="type" value="ext"/>

	<div class="formelement">
		<label>URL</label>
		<input type="text" name="url"/>
		<!--<p class="formdescription">Please ensure to include the http:// or other protocol.</p>-->
	</div>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<label>Opens in</label>
		<select name="target">
			<option value="">Current Window</option>
			<option value="_BLANK">New Window</option>
		</select>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>

<div class="add-entry-options add-entry-options-none" style="display:none;">
	<input type="hidden" name="id"/>
	<input type="hidden" name="type" value="none"/>
	<input type="hidden" name="url" value=""/>
	<input type="hidden" name="target" value=""/>

	<div class="formelement">
		<label>Label/Title</label>
		<input type="text" name="title"/>
	</div>

	<div class="formelement">
		<a href="#" class="button submit-btn"><i class="icon icon-add"></i> Add/Update Entry</a>
	</div>
</div>
